<!--
 - Created by damian.brzezinski_en on 12.08.2023.
 -->

<!-- Ls Shopping Cart -->
<template>
    <lightning-card>
        <div class="slds-grid_vertical-align-center">
            <div class="slds-col slds-align_absolute-center">
                {label.MY_CART}
            </div>
        </div>

        <template if:true={isLoading}>
            <lightning-spinner alternative-text='Loading'></lightning-spinner>
        </template>

        <template if:false={isLoading}>
            <div class='slds-grid slds-m-around_small slds-p-bottom_small slds-border_bottom'>
                <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                </div>
                <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                    {label.NAME}:
                </div>
                <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                    {label.QUANTITY}:
                </div>
                <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                    {label.PRICE}:
                </div>
                <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                </div>
            </div>

            <template if:true={orderWrapper}>
                <div class='slds-m-around_small slds-p-bottom_small slds-border_bottom shopping-cart-fix'>
                    <template for:each={orderWrapper.orderItemsDetails} for:item='item'>
                        <div class='slds-grid slds-m-around_small' key={item.Id}>
                            <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                                <img width='50' height='50' src={item.LS_ProductId__r.LS_ImageUrl__c}>
                            </div>
                            <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                                {item.LS_ProductId__r.Name}
                            </div>
                            <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                                {item.LS_Quantity__c}
                            </div>
                            <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                                {item.LS_Sum__c}
                            </div>
                            <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                                <lightning-button-icon icon-name='utility:recycle_bin_empty' onclick={handeDeleteRecord} data-id={item.Id}></lightning-button-icon>
                            </div>
                        </div>
                    </template>
                </div>

                <template if:false={emptyCart}>
                    <div class='slds-grid slds-m-around_small slds-p-bottom_small slds-border_bottom'>
                        <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                        </div>
                        <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                        </div>
                        <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                            {label.SUM}:
                        </div>
                        <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                            {orderWrapper.orderRecord.LS_Sum__c}
                        </div>
                        <div class='slds-col slds-align_absolute-center slds-size_1-of-5' >
                        </div>
                    </div>
                    <div class="slds-align_absolute-center">
                        <lightning-button label={label.MAKE_AN_ORDER} onclick={handleMakeAnOrder}></lightning-button>
                    </div>
                </template>
            </template>
        </template>
    </lightning-card>
</template>